### Hierarchy

- IListener

### Implemented by

- DefaultListener
- OffSwitchListener

## Index

### Methods

- onConnected
- onConnectionLost
- onDisconnected
- onError
- onMessage
- onPacketSend

## Methods

### onConnected

- onConnected(): void

- - Defined in lib/api/IListener.ts:11

  #### Returns void

### onConnectionLost

- onConnectionLost(): void

- - Defined in lib/api/IListener.ts:16

  #### Returns void

### onDisconnected

- onDisconnected(): void

- - Defined in lib/api/IListener.ts:28

  #### Returns void

### onError

- onError(error: string): void

- - Defined in lib/api/IListener.ts:35

  #### Parameters

  - ##### error: string

  #### Returns void

### onMessage

- onMessage(data: any): void

- - Defined in lib/api/IListener.ts:42

  #### Parameters

  - ##### data: any

  #### Returns void

### onPacketSend

- onPacketSend(packet: IPacket): void

- - Defined in lib/api/IListener.ts:23

  #### Parameters

  - ##### packet: IPacket

  #### Returns void

Generated using TypeDoc